[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

Re: Reviewing 1.10 APIs & compatibility

From: Daniel Shahaf <d.s_at_daniel.shahaf.name>
Date: Tue, 16 Jan 2018 15:09:19 +0000

Julian Foad wrote on Tue, 16 Jan 2018 13:09 +0000:
> Philip Martin wrote:
> >> Julian Foad wrote:
> >>> Another possible approach is to look for compatibility breakage by
> >>> running the 1.9 client and test suite against the 1.10 libraries,
> >>> and indeed different client/server version combinations.
> >
> > I did this recently.
>
> Thank you Philip! Extremely helpful.

Very much agreed!

We should do this before every minor release. (Ideally we'd have a
buildbot task doing this, but until that happens, we should at least do
it manually before every minor release.)

I'll add the jira ticket / releasing.part.html bullet point later,
unless someone beats me to it...

Cheers,

Daniel
Received on 2018-01-16 16:09:28 CET

This is an archived mail posted to the Subversion Dev mailing list.